/*
                        Endeavour Browser Drag & Drop
 */

#ifndef BROWSER_DND_H
#define BROWSER_DND_H

#include <gtk/gtk.h>
#include "browser.h"

extern gint EDVBrowserLocBarIconCrossingCB(
	GtkWidget *widget, GdkEventCrossing *crossing, gpointer data
);

extern void EDVBrowserDirTreeDNDSetIcon(
	edv_browser_struct *browser, GtkCTreeNode *node
);
extern void EDVBrowserDirTreeDragDataGetCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVBrowserDirTreeDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVBrowserDirTreeDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);

extern void EDVBrowserContentsDNDSetIcon(
	edv_browser_struct *browser, gint row, gint column
);
extern void EDVBrowserContentsDragDataGetCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVBrowserContentsDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVBrowserContentsDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);


#endif	/* BROWSER_DND_H */
